# Uses of Class
javassist.compiler.ast.Symbol

Packages that use Symbol
Package
Description
javassist.compiler.ast

## Uses of Symbol in javassist.compiler.ast

Subclasses of Symbol in javassist.compiler.ast
Modifier and Type
Class
Description
`class`
`Member`
Member name.
`class`
`Variable`
Variable.
Methods in javassist.compiler.ast that return Symbol
Modifier and Type
Method
Description
`Symbol`
Declarator.`getVariable()`
Methods in javassist.compiler.ast with parameters of type Symbol
Modifier and Type
Method
Description
`void`
Visitor.`atSymbol(Symbol n)`
`Declarator`
Declarator.`make(Symbol sym, int dim, ASTree init)`
`void`
Declarator.`setVariable(Symbol sym)`
Constructors in javassist.compiler.ast with parameters of type Symbol
Modifier
Constructor
Description
``
`Declarator(int type, String jvmClassName, int dim, int var, Symbol sym)`